package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterGroundwaterMonitoringStation;
import com.lightinit.hsdatashow.entity.StWaterGroundwaterMonitoringStationExample;
import java.util.List;

import com.lightinit.hsdatashow.model.topic.water.MonitoringStatioSearchModel;
import com.lightinit.hsdatashow.model.topic.water.NameAndValueModel;
import org.apache.ibatis.annotations.Param;

public interface StWaterGroundwaterMonitoringStationMapper {
    long countByExample(StWaterGroundwaterMonitoringStationExample example);

    int deleteByExample(StWaterGroundwaterMonitoringStationExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterGroundwaterMonitoringStation record);

    int insertSelective(StWaterGroundwaterMonitoringStation record);

    List<StWaterGroundwaterMonitoringStation> selectByExample(StWaterGroundwaterMonitoringStationExample example);

    StWaterGroundwaterMonitoringStation selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterGroundwaterMonitoringStation record, @Param("example") StWaterGroundwaterMonitoringStationExample example);

    int updateByExample(@Param("record") StWaterGroundwaterMonitoringStation record, @Param("example") StWaterGroundwaterMonitoringStationExample example);

    int updateByPrimaryKeySelective(StWaterGroundwaterMonitoringStation record);

    int updateByPrimaryKey(StWaterGroundwaterMonitoringStation record);

    Long getJianCeZhanCount(@Param("regionName") String regionName);

    List<NameAndValueModel> getAreaConstitute();

    List<NameAndValueModel> getMonitoringStationType();

    List<StWaterGroundwaterMonitoringStation> getMonitoringStation(MonitoringStatioSearchModel searchModel);
}